package domowe.r2.z03_funkcje;

import java.util.Scanner;

public class Fibonacci3 {
	// 0 1 1 2 3 5 8 13 21 34 55
	
	static long fib(int n) {
		long ostatnia = 0;
		long przedostatnia = 1;
		for(int i = 1; i <= n; i++) {
			long nowa = ostatnia + przedostatnia;
			przedostatnia = ostatnia;
			ostatnia = nowa;
		}
		return ostatnia;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		System.out.println("Aby zakończyć, wpisz -1");
		while(true) {
			System.out.print("Podaj liczbę: ");
			int liczba = sc.nextInt();
			if(liczba < 0) break;
			
			// pomiar czasu
			long p = System.currentTimeMillis();
			var wynik = fib(liczba);
			long k = System.currentTimeMillis();
			
			System.out.println("F(" + liczba + ") = " + wynik);
			System.out.println("Obliczenie trwało " + (k-p) + " ms");
			System.out.println();
		}

	}

}
